Skip to navigation

Retrieve an omnichannel subscription

View as Markdown
Retrieves the information about a specific omnichannel subscription.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

subscriptionKeystringRequired
The ID or number of the omnichannel subscription to be retrieved. The ID may be a Zuora subscription ID or an external system subscription ID.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

getAccountDetailsbooleanOptional
Retrieves the details of an account.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
processIdstringOptional
The ID of the process that handles the operation.
reasonslist of objectsOptional

The container of the error code and message. This field is available only if the success field is false.

requestIdstringOptionalformat: "uuid"=36 characters
Unique identifier of the request.
successbooleanOptional
Indicates whether the call succeeded.
idstringOptional
The system generated ID in Billing.
subscriptionNumberstringOptional
The system generated subscription number.
accountIdstringOptional
The ID of the account associated with this subscription.
externalSubscriptionIdstringOptional
The original transaction ID of the notification.
externalTransactionReasonstringOptional
The latest transaction reason.
externalSourceSystemstringOptional
The source app store from which the channel subscription originated. For example, Apple, Google, Roku, Amazon.
externalStatestringOptional
The original status from client, such as active, canceled, expired, pastDue.
statestringOptional
The common external subscription state.
externalProductIdstringOptional
The product ID in the external system.
externalReplaceByProductIdstring or nullOptional

The product ID is going to replace the existing product ID in the externalProductId field during the subscription renewal.

externalInAppOwnershipTypestringOptional

Such as purchased, family_shared.

externalQuantityintegerOptionalDefaults to 1
The quantity of the product, must be greater than 0.
currencystringOptional
The currency code of the transaction. If not specified, get value from the Account.
autoRenewbooleanOptionalDefaults to false

If true, the subscription automatically renews at the end of the term.

originalPurchaseDatestringOptionalformat: "datetime"

The value of externalPurchaseDate when this external subscription firstly created. UTC time, yyyy-mm-dd hh:mm:ss.

externalPurchaseDatestringOptionalformat: "datetime"

When the App Store charged the user’s account for a purchase, restored product, subscription, or subscription renewal after a lapse. UTC time, yyyy-mm-dd hh:mm:ss.

externalActivationDatestringOptionalformat: "datetime"

When the external subscription was activated on the external platform. UTC time, yyyy-mm-dd hh:mm:ss.

externalExpirationDatestringOptionalformat: "datetime"

This expiration date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss.

externalApplicationIdstringOptional
The external application ID.
externalBundleIdstringOptional
The external bundler ID.
externalSubscriberIdstringOptional
The external subscriber ID.
externalPricedoubleOptional
The price in external system.
externalPurchaseTypestringOptional
The external purchase type.
externalLastRenewalDatestringOptionalformat: "datetime"

This last renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss.

externalNextRenewalDatestringOptionalformat: "datetime"

This next renewal date is a static value that applies for each transaction. UTC time, yyyy-mm-dd hh:mm:ss.

Errors

4XX
Client Request Error
500
Internal Server Error